Important information if you use a Dell computer!

A major vulnerability has been discovered in a system health-check utility installed on millions of Dell PCs, and while the hole has been patched, if you’re running this software, you need to make sure that your version of the tool is up-to-date – or run the risk of getting your machine hacked. The actual security flaw is in PC-Doctor, a third-party component of Dell’s support utility.

The problem pertains to the firm’s pre-installed SupportAssist app, you should be running Dell SupportAssist for Home PCs version 3.2.2, or Dell SupportAssist for Business PCs version 2.0.1, to make sure you’re protected from the problem.

So you can either turn on automatic updates in SupportAssist, or check out Dell’s instructions for manually updating. Whatever you do, just make sure you get patched.

This vulnerability could be present on other PC manufacturers’ machines who use PC-Doctor.

Get in touch to find out more or to arrange a visit.

Here for you

Just call 97 758 905

About us

Professional IT services at sensible prices

We're Mobile

Covering the whole of the Paphos region

Follow
Here for you

Just call 97 758 905

About us

Professional IT services at sensible prices

We're Mobile

Covering the whole of the Paphos region

back to top